package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[任务时刻策略类型]
 */
@Component("ionicdemo_TSPolicyTypeCodeList")
public class TSPolicyTypeCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_TSPolicyType");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("GROUP");
		item0.setId("GROUP");
		item0.setText("策略组");
		item0.setLabel("策略组");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("GROUP",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("ITEM");
		item1.setId("ITEM");
		item1.setText("策略项");
		item1.setLabel("策略项");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("ITEM",item1);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}